Qt 5.8 | Qt Multimedia | C++ Classes | QVideoWidgetControl

Qt 5.8.0 Reference Documentation

# QVideoWidgetControl Class

The QVideoWidgetControl class provides a media control which implements a video widget. More...

Header: | #include <QVideoWidgetControl>
qmake: | QT += multimediawidgets
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QVideoWidgetControl()
virtual Qt::AspectRatioMode | aspectRatioMode() const = 0
virtual int | brightness() const = 0
virtual int | contrast() const = 0
virtual int | hue() const = 0
virtual bool | isFullScreen() const = 0
virtual int | saturation() const = 0
virtual void | setAspectRatioMode(Qt::AspectRatioMode mode) = 0
virtual void | setBrightness(int brightness) = 0
virtual void | setContrast(int contrast) = 0
virtual void | setFullScreen(bool fullScreen) = 0
virtual void | setHue(int hue) = 0
virtual void | setSaturation(int saturation) = 0
virtual QWidget * | videoWidget() = 0

## Signals

void | brightnessChanged(int brightness)
void | contrastChanged(int contrast)
void | fullScreenChanged(bool fullScreen)
void | hueChanged(int hue)
void | saturationChanged(int saturation)

## Protected Functions

| QVideoWidgetControl(QObject *parent = Q_NULLPTR)

## Macros

| QVideoWidgetControl_iid

## Detailed Description

The QVideoWidgetControl class provides a media control which implements a video widget.

The videoWidget() property of QVideoWidgetControl provides a pointer to a video widget implemented by the control's media service. This widget is owned by the media service and so care should be taken not to delete it.

      QVideoWidgetControl *widgetControl = mediaService->requestControl<QVideoWidgetControl *>();
      layout->addWidget(widgetControl->videoWidget());

QVideoWidgetControl is one of number of possible video output controls.

The interface name of QVideoWidgetControl is `org.qt-project.qt.videowidgetcontrol/5.0` as defined in QVideoWidgetControl_iid.

See also QMediaService::requestControl() and QVideoWidget.

## Member Function Documentation

### `[protected]` QVideoWidgetControl::QVideoWidgetControl(QObject *parent = Q_NULLPTR)

Constructs a new video widget control with the given parent.

### `[virtual]` QVideoWidgetControl::~QVideoWidgetControl()

Destroys a video widget control.

### `[pure virtual]` Qt::AspectRatioMode QVideoWidgetControl::aspectRatioMode() const

Returns how video is scaled to fit the widget with respect to its aspect ratio.

See also setAspectRatioMode().

### `[pure virtual]` int QVideoWidgetControl::brightness() const

Returns the brightness adjustment applied to a video.

Valid brightness values range between -100 and 100, the default is 0.

See also setBrightness().

### `[signal]` void QVideoWidgetControl::brightnessChanged(int brightness)

Signals that a video widget's brightness adjustment has changed.

### `[pure virtual]` int QVideoWidgetControl::contrast() const

Returns the contrast adjustment applied to a video.

Valid contrast values range between -100 and 100, the default is 0.

See also setContrast().

### `[signal]` void QVideoWidgetControl::contrastChanged(int contrast)

Signals that a video widget's contrast adjustment has changed.

### `[signal]` void QVideoWidgetControl::fullScreenChanged(bool fullScreen)

Signals that the fullScreen state of a video widget has changed.

### `[pure virtual]` int QVideoWidgetControl::hue() const

Returns the hue adjustment applied to a video widget.

Value hue values range between -100 and 100, the default is 0.

See also setHue().

### `[signal]` void QVideoWidgetControl::hueChanged(int hue)

Signals that a video widget's hue adjustment has changed.

### `[pure virtual]` bool QVideoWidgetControl::isFullScreen() const

Returns true if the video is shown using the complete screen.

### `[pure virtual]` int QVideoWidgetControl::saturation() const

Returns the saturation adjustment applied to a video widget.

Value saturation values range between -100 and 100, the default is 0.

See also setSaturation().

### `[signal]` void QVideoWidgetControl::saturationChanged(int saturation)

Signals that a video widget's saturation adjustment has changed.

### `[pure virtual]` void QVideoWidgetControl::setAspectRatioMode(Qt::AspectRatioMode mode)

Sets the aspect ratio mode which determines how video is scaled to the fit the widget with respect to its aspect ratio.

See also aspectRatioMode().

### `[pure virtual]` void QVideoWidgetControl::setBrightness(int brightness)

Sets a brightness adjustment for a video.

Valid brightness values range between -100 and 100, the default is 0.

See also brightness().

### `[pure virtual]` void QVideoWidgetControl::setContrast(int contrast)

Sets the contrast adjustment for a video widget to contrast.

Valid contrast values range between -100 and 100, the default is 0.

See also contrast().

### `[pure virtual]` void QVideoWidgetControl::setFullScreen(bool fullScreen)

Sets whether a video widget is in fullScreen mode.

See also isFullScreen().

### `[pure virtual]` void QVideoWidgetControl::setHue(int hue)

Sets a hue adjustment for a video widget.

Valid hue values range between -100 and 100, the default is 0.

See also hue().

### `[pure virtual]` void QVideoWidgetControl::setSaturation(int saturation)

Sets a saturation adjustment for a video widget.

Valid saturation values range between -100 and 100, the default is 0.

See also saturation().

### `[pure virtual]` QWidget *QVideoWidgetControl::videoWidget()

Returns the QWidget.

## Macro Documentation

### QVideoWidgetControl_iid

`org.qt-project.qt.videowidgetcontrol/5.0`

Defines the interface name of the QVideoWidgetControl class.